- [HTTP request](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1beta/projects.locations.instances/rescheduleMaintenance#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1beta/projects.locations.instances/rescheduleMaintenance#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1beta/projects.locations.instances/rescheduleMaintenance#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1beta/projects.locations.instances/rescheduleMaintenance#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1beta/projects.locations.instances/rescheduleMaintenance#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1beta/projects.locations.instances/rescheduleMaintenance#body.aspect)
- [RescheduleType](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1beta/projects.locations.instances/rescheduleMaintenance#RescheduleType)

Reschedules upcoming maintenance event.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west15 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-central2 us-east1 us-east4 us-east5 us-east7 us-south1 us-west1 us-west2 us-west3 us-west4 us-west8   
`POST https://memorystore.googleapis.com/v1beta/{name=projects/*/locations/*/instances/*}:rescheduleMaintenance`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the instance to reschedule maintenance for: `projects/{project}/locations/{locationId}/instances/{instance}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "rescheduleType": enum (`https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1beta/projects.locations.instances/rescheduleMaintenance#RescheduleType`), "scheduleTime": string } ``` |

| Fields ||
|---|---|
| `rescheduleType` | ``enum (`https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1beta/projects.locations.instances/rescheduleMaintenance#RescheduleType`)`` Required. If reschedule type is SPECIFIC_TIME, scheduleTime must be set. |
| `scheduleTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Optional. Timestamp when the maintenance shall be rescheduled to if rescheduleType=SPECIFIC_TIME, in RFC 3339 format. Example: `2012-11-15T16:19:00.094Z`. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/memorystore.read-write`

## RescheduleType

Reschedule options.

| Enums ||
|---|---|
| `RESCHEDULE_TYPE_UNSPECIFIED` | Not set. |
| `IMMEDIATE` | If the user wants to schedule the maintenance to happen now. |
| `SPECIFIC_TIME` | If the user wants to reschedule the maintenance to a specific time. |